Deleted files should be displayed with strike-through on the history note in which they were added

2009-03-25 18:50 - Andrew Ness

Status: New Start date: 2009-03-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

If you add a file and later delete it, you will have a history item showing that the file was added and then later another history item

showing that the file was deleted.

The history item in which the file was deleted shows the filename with a strike-through style, but the previous add entry shows the file

without the strike-through.

It would be clearer to show the add entry with a strike-through once it has been deleted.

History

#1 - 2011-03-24 06:04 - Toshi MARUYAMA

- Category set to Attachments

#2 - 2011-08-02 13:58 - Alex Shulgin

- File fix-journal-details-on-attachments.patch added

I have a patch for this.

Attaching a file to an issue (either from web or by mail) wouldn't create a journal detail entry, while removing will do that.  The patch fixes that by

adding journal details for attached files.

#3 - 2011-08-02 14:00 - Alex Shulgin

Alex Shulgin wrote:

I have a patch for this.

Attaching a file to an issue (either from web or by mail) wouldn't create a journal detail entry, while removing will do that.  The patch fixes that by

adding journal details for attached files.

 Forgot to add, that's a patch against 1.2 branch.

#4 - 2011-08-09 10:24 - Alex Shulgin

- File fix-receiving-new-issues-with-attachments.patch added

My first patch introduced a bug: receiving new (as opposed to updates) issues with attachments would fail with internal server error.  Attached patch

fixes this problem.

Files

fix-journal-details-on-attachments.patch 3.23 KB 2011-08-02 Alex Shulgin

fix-receiving-new-issues-with-attachments.patch 2.89 KB 2011-08-09 Alex Shulgin
